# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libglibmm-devel
# END SourceDeps(oneline)
%define fedora 19
%global tarname goocanvasmm
%global api_ver 2.0

Name:           goocanvasmm2
Version:        1.90.8
Release:        alt1_4
Summary:        C++ interface for goocanvas2

Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{tarname}/1.90/%{tarname}-%{version}.tar.xz

BuildRequires:  mm-common
BuildRequires:  libgtkmm3-devel >= 2.91.3
BuildRequires:  goocanvas2-devel >= 2.0.1
Source44: import.info

%description
This package provides a C++ interface for goocanvas. It is a
sub-package of the gtkmm project. The interface provides a convenient
interface for C++ programmers to create Gnome GUIs with GTK+'s
flexible object-oriented framework.


%package        devel
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       goocanvas2-devel%{?_isa} >= 1.90.2

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Developer documentation for %{name}
Group:          Documentation
%if 0%{?fedora} > 9 || 0%{?rhel} > 5
BuildArch:      noarch
%endif
BuildRequires:  doxygen graphviz
Requires:       libgtkmm3-doc

%description      doc
This package contains developer's documentation for the goocanvasmm2
library. Goocanvasmm2 is the C++ API for the goocanvas graphics library.

The documentation can be viewed either through the devhelp
documentation browser or through a web browser.

If using a web browser the documentation is at
/usr/share/doc/%{tarname}-%{api_ver}

%prep
%setup -q -n %{tarname}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/%{tarname}-%{api_ver}/
%{_libdir}/pkgconfig/%{tarname}-%{api_ver}.pc

%files doc
%doc COPYING
%doc %{_datadir}/devhelp/books/%{tarname}-%{api_ver}
%doc %{_docdir}/%{tarname}-%{api_ver}


%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.90.8-alt1_4
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.90.8-alt1_3
- initial fc import

